Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules.screens
Class VelocityDirectScreen

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Screen
              org.apache.turbine.modules.screens.TemplateScreen
                  org.apache.turbine.modules.screens.VelocityScreen
                      org.apache.turbine.modules.screens.VelocityDirectScreen

    public class VelocityDirectScreen

extends VelocityScreen

VelocityDirectScreen is a screen class which returns its output directly to the output stream. It can be used if buffering an output screen isn't possible or the result doesn't fit in the memory.

Version:
  $Id: VelocityDirectScreen.java 938645 2010-04-27 20:57:51Z tv $
Author:
  Dave Bryson, Henning P. Schmiedehausen, Peter Courcoux

Field Summary

Fields inherited from class org.apache.turbine.modules.screens.TemplateScreen
`log`

Fields inherited from class org.apache.turbine.modules.Screen
`CACHE_SIZE_DEFAULT, CACHE_SIZE_KEY, NAME, PREFIX`

Constructor Summary
`VelocityDirectScreen()`

Method Summary
`org.apache.ecs.ConcreteElement` | `buildTemplate(PipelineData pipelineData)` This builds the Velocity template.
`org.apache.ecs.ConcreteElement` | `buildTemplate(RunData data)` Deprecated. Use PipelineData version instead.

Methods inherited from class org.apache.turbine.modules.screens.VelocityScreen
`doBuildTemplate, doBuildTemplate, doBuildTemplate, doBuildTemplate, getContext, getContext`

Methods inherited from class org.apache.turbine.modules.screens.TemplateScreen
`doBuild, doBuild, doPostBuildTemplate, doPostBuildTemplate, doRedirect, doRedirect, doRedirect, doRedirect, setTemplate, setTemplate`

Methods inherited from class org.apache.turbine.modules.Screen
`build, build, getLayout, getLayout, getPrefix, prepareText, prepareTextMinimum, setLayout, setLayout`

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VelocityDirectScreen

    public VelocityDirectScreen()

Method Detail

### buildTemplate

    public org.apache.ecs.ConcreteElement buildTemplate(RunData data)
                                                 throws Exception

  Deprecated. Use PipelineData version instead.

  This builds the Velocity template.

  Overrides:
    `buildTemplate` in class `VelocityScreen`
  Parameters:
    `data` - Turbine information.
  Returns:
    A ConcreteElement.
  Throws:
    `Exception,` - a generic exception.
    `Exception` - A generic exception.

### buildTemplate

    public org.apache.ecs.ConcreteElement buildTemplate(PipelineData pipelineData)
                                                 throws Exception

  This builds the Velocity template.

  Overrides:
    `buildTemplate` in class `VelocityScreen`
  Parameters:
    `data` - Turbine information.
  Returns:
    A ConcreteElement.
  Throws:
    `Exception,` - a generic exception.
    `Exception` - A generic exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.